Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class UnsupportedFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.engine.api.EngineException
                      org.eclipse.birt.report.engine.api.UnsupportedFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedFormatException

extends EngineException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.EngineException
`birtException, dftRb, elementId, pluginId, resourceBundles, threadLocal`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, rb, severity, sResourceKey, WARNING`

Constructor Summary
`UnsupportedFormatException(java.lang.String errorCode, java.lang.Object arg0)` constructor

Method Summary

Methods inherited from class org.eclipse.birt.report.engine.api.EngineException
`getElementID, getErrorCode, getLocalizedMessage, getMessage, getPluginId, getResourceBundle, getSeverity, setElementID, setSeverity, setULocale`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getLocalizedMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedFormatException

    public UnsupportedFormatException(java.lang.String errorCode,
                                      java.lang.Object arg0)

  constructor

  Parameters:
    `errorCode` -
    `arg0` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.